"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadSlim = void 0;
const Circle_1 = require("./Shapes/Circle");
const Image_1 = require("./Shapes/Image");
const Line_1 = require("./Shapes/Line");
const Polygon_1 = require("./Shapes/Polygon");
const Square_1 = require("./Shapes/Square");
const Star_1 = require("./Shapes/Star");
const Text_1 = require("./Shapes/Text");
const Angle_1 = require("./Updaters/Angle");
const Color_1 = require("./Updaters/Color");
const Life_1 = require("./Updaters/Life");
const Opacity_1 = require("./Updaters/Opacity");
const Size_1 = require("./Updaters/Size");
const StrokeColor_1 = require("./Updaters/StrokeColor");
const OutModes_1 = require("./Updaters/OutModes");
const Roll_1 = require("./Updaters/Roll");
const Tilt_1 = require("./Updaters/Tilt");
const Wobble_1 = require("./Updaters/Wobble");
const Attract_1 = require("./Interactions/External/Attract");
const Bounce_1 = require("./Interactions/External/Bounce");
const Bubble_1 = require("./Interactions/External/Bubble");
const Connect_1 = require("./Interactions/External/Connect");
const Grab_1 = require("./Interactions/External/Grab");
const Repulse_1 = require("./Interactions/External/Repulse");
const Trail_1 = require("./Interactions/External/Trail");
const Attract_2 = require("./Interactions/Particles/Attract");
const Collisions_1 = require("./Interactions/Particles/Collisions");
const Links_1 = require("./Interactions/Particles/Links");
function loadSlim(tsParticles) {
    (0, Attract_1.loadExternalAttractInteraction)(tsParticles);
    (0, Bounce_1.loadExternalBounceInteraction)(tsParticles);
    (0, Bubble_1.loadExternalBubbleInteraction)(tsParticles);
    (0, Connect_1.loadExternalConnectInteraction)(tsParticles);
    (0, Grab_1.loadExternalGrabInteraction)(tsParticles);
    (0, Repulse_1.loadExternalRepulseInteraction)(tsParticles);
    (0, Trail_1.loadExternalTrailInteraction)(tsParticles);
    (0, Attract_2.loadParticlesAttractInteraction)(tsParticles);
    (0, Collisions_1.loadParticlesCollisionsInteraction)(tsParticles);
    (0, Links_1.loadParticlesLinksInteraction)(tsParticles);
    (0, Circle_1.loadCircleShape)(tsParticles);
    (0, Image_1.loadImageShape)(tsParticles);
    (0, Line_1.loadLineShape)(tsParticles);
    (0, Polygon_1.loadPolygonShape)(tsParticles);
    (0, Square_1.loadSquareShape)(tsParticles);
    (0, Star_1.loadStarShape)(tsParticles);
    (0, Text_1.loadTextShape)(tsParticles);
    (0, Life_1.loadLifeUpdater)(tsParticles);
    (0, Opacity_1.loadOpacityUpdater)(tsParticles);
    (0, Size_1.loadSizeUpdater)(tsParticles);
    (0, Angle_1.loadAngleUpdater)(tsParticles);
    (0, Tilt_1.loadTiltUpdater)(tsParticles);
    (0, Roll_1.loadRollUpdater)(tsParticles);
    (0, Wobble_1.loadWobbleUpdater)(tsParticles);
    (0, Color_1.loadColorUpdater)(tsParticles);
    (0, StrokeColor_1.loadStrokeColorUpdater)(tsParticles);
    (0, OutModes_1.loadOutModesUpdater)(tsParticles);
}
exports.loadSlim = loadSlim;
